Skip to content

List officials

GET/v1/officials

GET
/v1/officials
curl --request GET \
--url 'https://api.ligr.live/rest/v1/officials?providerName=RB&limit=200&offset=0' \
--header 'Authorization: Bearer <token>'

Return a page of your organization’s match officials, sorted by id. Filter by data provider to find the officials that a provider supplies.

providerName
string
Allowed values: RB OPTA_CRICKET OPTA_FOOTBALL OPTA_RUGBY_UNION STATSLLC GENIUS_BASKETBALL GENIUS_GRIDIRON GENIUS_VOLLEYBALL GENIUS_FOOTBALL GENIUS_ICE_HOCKEY PIXELLOT CLOUDMIX CHAMPION ligr-live-score MLB IMG_FOOTBALL CRIONET_TENNIS SPORT_RADAR_FOOTBALL

Only return officials from this data provider

providerIds
string

Only return officials with these ids at the data provider. A comma-separated list of up to 100 ids. Needs providerName.

limit
number format: double
default: 200

The maximum number of officials to return

offset
number format: double
0

The number of officials to skip

Ok

Media typeapplication/json
object
officials
required
Array<object>

A match official, such as a referee or an umpire.

object
id
required

Entity identifier

integer format: int32
>= 1
firstName
required

Default Player first name

string
>= 1 characters <= 35 characters
lastName
required

Default Player first name

string
>= 1 characters <= 35 characters
gender
string
nullable
countryCode
string
nullable
dataProvider
object
name
required
string
Allowed values: RB OPTA_CRICKET OPTA_FOOTBALL OPTA_RUGBY_UNION STATSLLC GENIUS_BASKETBALL GENIUS_GRIDIRON GENIUS_VOLLEYBALL GENIUS_FOOTBALL GENIUS_ICE_HOCKEY PIXELLOT CLOUDMIX CHAMPION ligr-live-score MLB IMG_FOOTBALL CRIONET_TENNIS SPORT_RADAR_FOOTBALL
id
required
string
total
required
number format: double
returned
required
number format: double
Example
{
"officials": [
{
"countryCode": "AUS",
"dataProvider": {
"name": "RB"
}
}
]
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Official not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}